Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.servicegen
Interface SOABEModel

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface SOABEModel

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'SOABE Model'. [[ TODO - add documentation here ]]

The following features are supported:

- `Base Types`
- `Cod Prodotto`
- `Cod Componente`
- `Versione Prodotto`
- `Versione Componente`
- `Serviceimplementations`
- `Service Defs`
- `Target Platform`
- `Resource Set`

See Also:
  `ServicegenPackage.getSOABEModel()`

Method Summary
`org.eclipse.emf.common.util.EList<BaseTypes>` | `getBaseTypes()` Returns the value of the 'Base Types' containment reference list.
`java.lang.String` | `getCodComponente()` Returns the value of the 'Cod Componente' attribute
`java.lang.String` | `getCodProdotto()` Returns the value of the 'Cod Prodotto' attribute
`ResourceSet` | `getResourceSet()` Returns the value of the 'Resource Set' reference
`org.eclipse.emf.common.util.EList<ServiceDef>` | `getServiceDefs()` Returns the value of the 'Service Defs' containment reference list.
`org.eclipse.emf.common.util.EList<ServiceImpl>` | `getServiceimplementations()` Returns the value of the 'Serviceimplementations' containment reference list.
`TargetPlatform` | `getTargetPlatform()` Returns the value of the 'Target Platform' containment reference
`java.lang.String` | `getVersioneComponente()` Returns the value of the 'Versione Componente' attribute
`java.lang.String` | `getVersioneProdotto()` Returns the value of the 'Versione Prodotto' attribute
`void` | `setCodComponente(java.lang.String value)` Sets the value of the '`Cod Componente`' attribute
`void` | `setCodProdotto(java.lang.String value)` Sets the value of the '`Cod Prodotto`' attribute
`void` | `setResourceSet(ResourceSet value)` Sets the value of the '`Resource Set`' reference
`void` | `setTargetPlatform(TargetPlatform value)` Sets the value of the '`Target Platform`' containment reference
`void` | `setVersioneComponente(java.lang.String value)` Sets the value of the '`Versione Componente`' attribute
`void` | `setVersioneProdotto(java.lang.String value)` Sets the value of the '`Versione Prodotto`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getBaseTypes

    org.eclipse.emf.common.util.EList<BaseTypes> getBaseTypes()

  Returns the value of the 'Base Types' containment reference list. The list contents are of type `BaseTypes`.

  If the meaning of the 'Base Types' containment reference list isn't clear, there really should be more of a description here...

  [[ TODO - add documentation here ]]

  Returns:
    the value of the 'Base Types' containment reference list.
  See Also:
    `ServicegenPackage.getSOABEModel_BaseTypes()`

### getCodProdotto

    java.lang.String getCodProdotto()

  Returns the value of the 'Cod Prodotto' attribute.

  If the meaning of the 'Cod Prodotto' attribute isn't clear, there really should be more of a description here...

  [[ TODO - add documentation here ]]

  Returns:
    the value of the 'Cod Prodotto' attribute.
  See Also:
    `setCodProdotto(String)`, `ServicegenPackage.getSOABEModel_CodProdotto()`

### setCodProdotto

    void setCodProdotto(java.lang.String value)

  Sets the value of the '`Cod Prodotto`' attribute.

  Parameters:
    `value` - the new value of the 'Cod Prodotto' attribute.
  See Also:
    `getCodProdotto()`

### getCodComponente

    java.lang.String getCodComponente()

  Returns the value of the 'Cod Componente' attribute.

  If the meaning of the 'Cod Componente' attribute isn't clear, there really should be more of a description here...

  [[ TODO - add documentation here ]]

  Returns:
    the value of the 'Cod Componente' attribute.
  See Also:
    `setCodComponente(String)`, `ServicegenPackage.getSOABEModel_CodComponente()`

### setCodComponente

    void setCodComponente(java.lang.String value)

  Sets the value of the '`Cod Componente`' attribute.

  Parameters:
    `value` - the new value of the 'Cod Componente' attribute.
  See Also:
    `getCodComponente()`

### getVersioneProdotto

    java.lang.String getVersioneProdotto()

  Returns the value of the 'Versione Prodotto' attribute.

  If the meaning of the 'Versione Prodotto' attribute isn't clear, there really should be more of a description here...

  [[ TODO - add documentation here ]]

  Returns:
    the value of the 'Versione Prodotto' attribute.
  See Also:
    `setVersioneProdotto(String)`, `ServicegenPackage.getSOABEModel_VersioneProdotto()`

### setVersioneProdotto

    void setVersioneProdotto(java.lang.String value)

  Sets the value of the '`Versione Prodotto`' attribute.

  Parameters:
    `value` - the new value of the 'Versione Prodotto' attribute.
  See Also:
    `getVersioneProdotto()`

### getVersioneComponente

    java.lang.String getVersioneComponente()

  Returns the value of the 'Versione Componente' attribute.

  If the meaning of the 'Versione Componente' attribute isn't clear, there really should be more of a description here...

  [[ TODO - add documentation here ]]

  Returns:
    the value of the 'Versione Componente' attribute.
  See Also:
    `setVersioneComponente(String)`, `ServicegenPackage.getSOABEModel_VersioneComponente()`

### setVersioneComponente

    void setVersioneComponente(java.lang.String value)

  Sets the value of the '`Versione Componente`' attribute.

  Parameters:
    `value` - the new value of the 'Versione Componente' attribute.
  See Also:
    `getVersioneComponente()`

### getServiceimplementations

    org.eclipse.emf.common.util.EList<ServiceImpl> getServiceimplementations()

  Returns the value of the 'Serviceimplementations' containment reference list. The list contents are of type `ServiceImpl`.

  If the meaning of the 'Serviceimplementations' containment reference list isn't clear, there really should be more of a description here...

  [[ TODO - add documentation here ]]

  Returns:
    the value of the 'Serviceimplementations' containment reference list.
  See Also:
    `ServicegenPackage.getSOABEModel_Serviceimplementations()`

### getServiceDefs

    org.eclipse.emf.common.util.EList<ServiceDef> getServiceDefs()

  Returns the value of the 'Service Defs' containment reference list. The list contents are of type `ServiceDef`.

  If the meaning of the 'Service Defs' reference list isn't clear, there really should be more of a description here...

  [[ TODO - add documentation here ]]

  Returns:
    the value of the 'Service Defs' containment reference list.
  See Also:
    `ServicegenPackage.getSOABEModel_ServiceDefs()`

### getTargetPlatform

    TargetPlatform getTargetPlatform()

  Returns the value of the 'Target Platform' containment reference.

  If the meaning of the 'Target Platform' containment reference isn't clear, there really should be more of a description here...

  [[ TODO - add documentation here ]]

  Returns:
    the value of the 'Target Platform' containment reference.
  See Also:
    `setTargetPlatform(TargetPlatform)`, `ServicegenPackage.getSOABEModel_TargetPlatform()`

### setTargetPlatform

    void setTargetPlatform(TargetPlatform value)

  Sets the value of the '`Target Platform`' containment reference.

  Parameters:
    `value` - the new value of the 'Target Platform' containment reference.
  See Also:
    `getTargetPlatform()`

### getResourceSet

    ResourceSet getResourceSet()

  Returns the value of the 'Resource Set' reference. [[ TODO - add documentation here ]]

  Returns:
    the value of the 'Resource Set' reference.
  See Also:
    `setResourceSet(ResourceSet)`, `ServicegenPackage.getSOABEModel_ResourceSet()`

### setResourceSet

    void setResourceSet(ResourceSet value)

  Sets the value of the '`Resource Set`' reference.

  Parameters:
    `value` - the new value of the 'Resource Set' reference.
  See Also:
    `getResourceSet()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD